Subject: Re: Cygwin GCC and debug info source file paths
From: David Lindström <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 Aug 2012 10:42:37 +0200
List-Id: <cygwin.cygwin.com>

Thanks, this was pretty much exactly what I was looking for, but it turned 
out the builds at gnuarm.org are so outdated that the option does not exist 
(-fdebug-prefix-map=/cygdrive/c/=C:/ resulted in an error at least).

I managed to create a really dirty workaround for now which was to create 
C:\cygdrive and then symlink/mklink 'c' => 'C:\' which appears to work but 
is extremely ugly. Still open for suggestions.

Mvh
David Lindström
"Ian Lance Taylor"  wrote in message 
news:CAKOQZ8wXhCTrMkm6yEBW1eysQO5jhaD+3x6AzHN=[email-masked]...

On Tue, Aug 14, 2012 at 11:13 AM, David Lindström
<[email-masked]> wrote:
> Hi, I didn't know where to put this. I'm trying to use a cygwin build of 
> GCC
> for arm (binaries from gnuarm.com). When I build a simple dummy 
> application
> just doing some matrix multiplications in a loop, it creates a nice
> executable file with debug info, but the path to the source file is a 
> cygwin
> path which is incompatible with the debugging tool I'm trying to use. I'm
> wondering if there's a way to generate the exe with relative paths to the
> source files, alternatively to use windows paths?
>
> The tool is Trace32 from Lauterbach, currently experementing with the arm
> simulator from the website.

You may be able to use GCC's -fdebug-prefix-map option.

Ian 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple